<?php

// Работаем в корневой директории
chdir('../../');
require_once('payment/ALFAPayment/ALFAPayment.php');
$alfa = new ALFAPayment();

$external_order_id = $_GET['orderId'];
$order_id = intval($_GET['o']);

$order = $alfa->orders->get_order(intval($order_id));
if (empty($order))
    errorlink('Оплачиваемый заказ не найден');

// Нельзя оплатить уже оплаченный заказ
if ($order->paid)
    errorlink('Этот заказ уже оплачен');

$method = $alfa->payment->get_payment_method(intval($order->payment_method_id));
if (empty($method))
    errorlink("Неизвестный метод оплаты");

$settings = unserialize($method->settings);

$data = array(
    'userName' => $settings['merchant'],
    'password' => $settings['password'],
    'orderId' => $external_order_id
);

if ($settings['test_mode'] == 1) {
    $action_adr = ALFA_TEST_URL;
} else {
    $action_adr = ALFA_PROD_URL;
}
$action_adr .= "getOrderStatusExtended.do";

$response = $alfa->gateway($data, $action_adr);
$response = json_decode($response, true);

$orderStatus = $response['orderStatus'];

if ($orderStatus == '1' || $orderStatus == '2') {

    // update order state
    $alfa->orders->update_order(intval($order->id), array('paid' => 1));

    // reducing
    $alfa->orders->close(intval($order->id));

//    $alfa->notify->email_order_user(intval($order->id));
//    $alfa->notify->email_order_admin(intval($order->id));

    header("Location: " . $alfa->config->root_url . '/order/' . $order->url);

} else {
    echo $response['actionCodeDescription'];
    echo "<br/>перейти <a href='" . $alfa->config->root_url . '/order/' . $order->url. "'>на страницу заказа</a>";
    die();
}
